# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewSeries

Function

Creates a new Series Object.

Syntax
`
#include <dx/dx.h>
`

Series DXNewSeries()

Functional Details

A Series is intended to represent a single field sampled across some parameter, such as time or temperature (e.g., a simulation of a CMOS device across a temperature range). Members of a Series have a position. A copy of the position is found in the "series position" attribute.

For Realization modules, a Series should be a collection of compatible Fields, each with the same "data," "position," and "connection" types, and the Series positions of all members should be increasing only or decreasing only for the whole Series.

The type of a Series is set the first time a typed member is added; a typed member is either a Field with a "data" component or a typed Group. All typed members added to a typed Series must match the type of the Series. If a Series has no members, it is untyped.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Series or returns `NULL` and sets an error code.

See Also

`DXNewCompositeField, DXNewGroup, DXNewMultiGrid, DXSetSeriesMember`

"Series Groups".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]